petsc-3.13.6 2020-09-29
Report Typos and Errors

# DMSetCoarsenLevel

Sets the number of coarsenings that have generated this DM.

### Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    #include "petscds.h"
    PetscErrorCode DMSetCoarsenLevel(DM dm,PetscInt level)

Not Collective

### Input Parameters

| dm | - the DM object
| level | - number of coarsenings

### See Also

DMCoarsen(), DMGetCoarsenLevel(), DMGetRefineLevel(), DMDestroy(), DMView(), DMCreateGlobalVector(), DMCreateInterpolation()

### Level

developer

### Location

src/dm/interface/dm.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages